# TODO: gsiftp support?
Summary:	CFITSIO Interface Library
Summary(pl.UTF-8):	Biblioteka interfejsu CFITSIO
Name:		cfitsio
Version:	4.5.0
Release:	1
License:	MIT-like
Group:		Libraries
Source0:	https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/%{name}-%{version}.tar.gz
# Source0-md5:	c8be725bf1f2edabb5765a53ec9cd1b8
URL:		https://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html
BuildRequires:	bzip2-devel
BuildRequires:	curl-devel
BuildRequires:	gcc-g77
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CFITSIO is a library of ANSI C routines for reading and writing FITS
format data files.  A set of Fortran-callable wrapper routines are
also included for the convenience of Fortran programmers.

%description -l pl.UTF-8
CFITSIO to biblioteka funkcji w C do odczytu i zapisu plików z danymi
w formacie FITS. Zawiera także zestaw wrapperów pozwalających na
wywoływanie tych funkcji z programów w Fortranie.

%package devel
Summary:	Header files and documentation for CFITSIO
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do CFITSIO
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel

%description devel
Header files and development documentation for CFITSIO.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do CFITSIO.

%package static
Summary:	Static CFITSIO library
Summary(pl.UTF-8):	Statyczna biblioteka CFITSIO
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of CFITSIO library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki CFITSIO.

%prep
%setup -q

%build
%configure \
	--with-bzip2

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcfitsio.la

# too common names; if needed, use subdir for cfitsio headers
%{__rm} $RPM_BUILD_ROOT%{_includedir}/{cfortran,f77_wrap}.h

# testing tools
%{__rm} $RPM_BUILD_ROOT%{_bindir}/{cookbook,smem,speed}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README.md licenses/License.txt
%attr(755,root,root) %{_bindir}/fitscopy
%attr(755,root,root) %{_bindir}/fitsverify
%attr(755,root,root) %{_bindir}/fpack
%attr(755,root,root) %{_bindir}/funpack
%attr(755,root,root) %{_bindir}/imcopy
%attr(755,root,root) %{_libdir}/libcfitsio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcfitsio.so.10

%files devel
%defattr(644,root,root,755)
%doc docs/{cfitsio.pdf,cfortran.doc,fitsio.pdf,fpackguide.pdf,quick.pdf}
%attr(755,root,root) %{_libdir}/libcfitsio.so
%{_includedir}/drvrsmem.h
%{_includedir}/fitsio*.h
%{_includedir}/longnam.h
%{_includedir}/region.h
%{_pkgconfigdir}/cfitsio.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcfitsio.a
%changelog
* Wed Aug 28 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cfitsio.git;a=log;h=master

* Wed Aug 28 2024 Jakub Bogusz <qboosh@pld-linux.org> daa8178
- updated to 4.5.0

* Tue Jul 02 2024 Jakub Bogusz <qboosh@pld-linux.org> 5f7d066
- updated to 4.4.1

* Sat Mar 09 2024 Jakub Bogusz <qboosh@pld-linux.org> 69e3b83
- updated to 4.4.0

* Sat Nov 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 5253158
- updated to 4.3.1

* Sun Sep 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 0309e8f
- updated to 4.3.0

* Thu Jan 19 2023 Jakub Bogusz <qboosh@pld-linux.org> b46afe2
- updated to 4.2.0 (new soname)

* Tue Apr 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 27b45a3
- updated to 4.1.0

* Sat Nov 27 2021 Jakub Bogusz <qboosh@pld-linux.org> ab650c1
- updated to 4.0.0
- removed obsolete zlib patch (only system zlib is supported now)

* Thu Dec 10 2020 Jakub Bogusz <qboosh@pld-linux.org> 2daad9c
- updated to 3.49 (as 3.490 to avoid epoch bump; note: new soname)

* Wed Dec 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 2c1b67f
- updated to 3.450 (security fixes, new soname)
- added ldflags patch (for as-needed to work)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fa5c03d
- release 2 (by relup.sh)

* Sat Dec 09 2017 Jakub Bogusz <qboosh@pld-linux.org> ca4212b
- updated to 3.420

* Sat Feb 25 2017 Jakub Bogusz <qboosh@pld-linux.org> ab13caa
- updated to 3.410

* Sun Sep 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 5fd3aa6
- updated to 3.390 (note: new soname)

* Thu Mar 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 98b0ada
- updated to 3.380 (note: new soname)
- updated zlib patch
- removed obsolete ldflags patch

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 782c5ca
- x32 rebuild
- release 2 (by relup.sh)

* Thu Nov 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 9dcd70c
- updated to 3.370 (note: soname changed)
- updated zlib patch
- removed obsolete link patch

* Mon Aug 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 385681f
- updated to 3.280
- gzip code has been removed, so removed obsolete compress patch and GPL is no longer enforced
- added zlib patch to use system zlib instead of internal copy

* Sun Jun 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 8077b94
- updated to 3.250

* Mon Feb 08 2010 Kacper Kornet <draenog@pld-linux.org> cd1b3a7
- updated for 3.240

